Loading...
Searching...
No Matches
casacore::RotMatrix Class Reference
casa package (libcasa_casa) » Quanta_module » Quanta_module_internal_classes

More...

`#include <RotMatrix.h>`

## Public Member Functions

| RotMatrix ()
| Default constructor generates a unit 3x3 matrix.
| RotMatrix (const RotMatrix &other)
| The copy constructor copies.
| RotMatrix (const Euler &other)
| Make from an Euler.
| RotMatrix (const Euler &other, Int ax0, Int ax1, Int ax2)
| Make from an Euler around specified axes.
RotMatrix & | operator= (const RotMatrix &other)
| Copy assignment.
| ~RotMatrix ()
| Destructor.
RotMatrix & | operator*= (const RotMatrix &other)
| The multiplication operations generate matrix products.
RotMatrix | operator* (const RotMatrix &other) const
Double & | operator() (uInt row, uInt column)
| Return the indicated element.
const Double & | operator() (uInt row, uInt column) const
Matrix< Double > | get () const
| Get as Matrix.
void | transpose ()
| Transpose the rotation matrix.
void | set (const Matrix< Double > &in)
| Fill Rotation matrix from Matrix.
void | set (const Vector< Double > &in0, const Vector< Double > &in1, const Vector< Double > &in2)
| Fill Rotation matrix from 3 (row) vectors.

## Private Member Functions

void | applySingle (Double angle, Int which)
| Apply to a rotation matrix a further rotation of angle around the specified axis which (0 or 1 or 2).

## Private Attributes

Double | rotat [3][3]
| The rotation matrix (3x3).

## Friends

ostream & | operator<< (ostream &os, const RotMatrix &rot)
| Output a rotation matrix as a matrix.

## Detailed Description

A 3x3 rotation matrix

### Intended use:

Internal

### Review Status

Reviewed By:
  tcornwel
Date Reviewed:
  1996/02/15
Test programs:
  tMeasMath

### Prerequisite

- Matrix
- Euler

### Etymology

From Rotation and Matrix

### Synopsis

A rotation matrix is a 3x3 matrix, which can be used to rotate a coordinate system, notably the direction cosines in MVDirection.
A RotMatrix can be constructed by the default constructor (which will set the diagonal to 1), a copy constructor, and from a set of Euler angles with RotMatrix(Euler).
Multiplication can be done (by *= and *) of two rotation matrices.
The (uInt, uInt) operator returns the indicated element.

### Example

See Euler

### Motivation

To use in nutation and other coordinate calculations

Definition at line 83 of file RotMatrix.h.

## Constructor & Destructor Documentation

## RotMatrix() [1/4]

casacore::RotMatrix::RotMatrix | ( |  | ) |

Default constructor generates a unit 3x3 matrix.

Referenced by operator*(), operator*=(), operator<<, operator=(), and RotMatrix().

## RotMatrix() [2/4]

casacore::RotMatrix::RotMatrix | ( | const RotMatrix & | other | ) |

The copy constructor copies.

References RotMatrix().

## RotMatrix() [3/4]

casacore::RotMatrix::RotMatrix | ( | const Euler & | other | ) |

Make from an Euler.

## RotMatrix() [4/4]

casacore::RotMatrix::RotMatrix | ( | const Euler & | other,
|  | Int | ax0,
|  | Int | ax1,
|  | Int | ax2 )

Make from an Euler around specified axes.

## ~RotMatrix()

casacore::RotMatrix::~RotMatrix | ( |  | ) |

Destructor.

## Member Function Documentation

## applySingle()

void casacore::RotMatrix::applySingle | ( | Double | angle,
|  | Int | which )

private

Apply to a rotation matrix a further rotation of angle around the specified axis which (0 or 1 or 2).

## get()

Matrix< Double > casacore::RotMatrix::get | ( |  | ) | const

Get as Matrix.

## operator()() [1/2]

Double & casacore::RotMatrix::operator() | ( | uInt | row,
|  | uInt | column )

Return the indicated element.

## operator()() [2/2]

const Double & casacore::RotMatrix::operator() | ( | uInt | row,
|  | uInt | column ) const

## operator*()

RotMatrix casacore::RotMatrix::operator* | ( | const RotMatrix & | other | ) | const

References RotMatrix().

## operator*=()

RotMatrix & casacore::RotMatrix::operator*= | ( | const RotMatrix & | other | ) |

The multiplication operations generate matrix products.

References RotMatrix().

## operator=()

RotMatrix & casacore::RotMatrix::operator= | ( | const RotMatrix & | other | ) |

Copy assignment.

References RotMatrix().

## set() [1/2]

void casacore::RotMatrix::set | ( | const Matrix< Double > & | in | ) |

Fill Rotation matrix from Matrix.

## set() [2/2]

void casacore::RotMatrix::set | ( | const Vector< Double > & | in0,
|  | const Vector< Double > & | in1,
|  | const Vector< Double > & | in2 )

Fill Rotation matrix from 3 (row) vectors.

## transpose()

void casacore::RotMatrix::transpose | ( |  | ) |

Transpose the rotation matrix.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | os,
|  | const RotMatrix & | rot )

friend

Output a rotation matrix as a matrix.

References RotMatrix().

## Member Data Documentation

## rotat

Double casacore::RotMatrix::rotat[3][3]

private

The rotation matrix (3x3).

Definition at line 134 of file RotMatrix.h.

The documentation for this class was generated from the following file:

- casa/Quanta/RotMatrix.h